#1640 Optional: IllegalStateException

closed-fixed
nobody
None
5
2013-02-08
2012-08-13
Steve
No

I think this is from console plugin, but not 100% certain. Feel free to re-title it if I'm wrong.

I get the attached error dump out of jEdit every once in a while. I haven't yet been able to narrow down what causes it. (I can't copy the error text out of the error dialog. What a PAIN!)

I'm using:
jEdit 5.0pre2 daily as of 02-July-2012
all plugins are current Plugin Manager versions, except Project Viewer and SVN Plugin, which are daily build from 27-July-2012

Discussion

  • Steve

    Steve - 2012-08-13
     
  • Steve

    Steve - 2012-08-13

    Activity log entries that might be useful in a bug report:

    .Log file created on Wed Aug 08 13:40:49 PDT 2012
    IMPORTANT:
    Because updating this file after every log message would kill
    performance, it will be *incomplete* unless you invoke the
    Utilities->Troubleshooting->Update Activity Log on Disk command!
    1:40:48 PM [main] [message] Log: When reporting bugs, please include the following information:
    1:40:48 PM [main] [message] Log: java.version=1.7.0_04
    1:40:48 PM [main] [message] Log: java.vm.version=23.0-b21
    1:40:48 PM [main] [message] Log: java.vm.name=Java HotSpot(TM) 64-Bit Server VM
    1:40:48 PM [main] [message] Log: java.runtime.version=1.7.0_04-b20
    1:40:48 PM [main] [message] Log: java.runtime.name=Java(TM) SE Runtime Environment
    1:40:48 PM [main] [message] Log: java.vendor=Oracle Corporation
    1:40:48 PM [main] [message] Log: java.compiler=null
    1:40:48 PM [main] [message] Log: os.name=Linux
    1:40:48 PM [main] [message] Log: os.version=2.6.18-238.el5
    1:40:48 PM [main] [message] Log: os.arch=amd64
    1:40:48 PM [main] [message] Log: user.home=/home/snarum
    1:40:48 PM [main] [message] Log: java.home=/usr/java/jre1.7.0_04
    1:40:48 PM [main] [message] Log: java.class.path=/home/snarum/bin/jEdit/5.0pre2/jedit.jar
    1:40:48 PM [main] [message] jEdit: starting with command line arguments: -reuseview -reuseview
    1:40:48 PM [main] [notice] jEdit: An error occurred while connecting to the jEdit server instance.
    1:40:48 PM [main] [notice] jEdit: This probably means that jEdit crashed and/or exited abnormally
    1:40:48 PM [main] [notice] jEdit: the last time it was run.
    1:40:48 PM [main] [notice] jEdit: If you don't know what this means, don't worry.
    1:40:48 PM [main] [notice] jEdit: java.net.ConnectException: Connection refused
    1:40:48 PM [main] [notice] jEdit: at java.net.PlainSocketImpl.socketConnect(Native Method)
    1:40:48 PM [main] [notice] jEdit: at java.net.AbstractPlainSocketImpl.doConnect(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.AbstractPlainSocketImpl.connectToAddress(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.AbstractPlainSocketImpl.connect(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.SocksSocketImpl.connect(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.Socket.connect(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.Socket.connect(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.Socket.<init>(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at java.net.Socket.<init>(Unknown Source)
    1:40:48 PM [main] [notice] jEdit: at org.gjt.sp.jedit.jEdit.main(jEdit.java:285)
    1:40:48 PM [main] [debug] jEdit: before splash screen activation:280 ms
    1:40:49 PM [main] [debug] jEdit: after splash screen activation:1573 ms
    1:40:49 PM [main] [debug] MiscUtilities: Saving backup of file "/ln/home/snarum/.jedit/activity.log" to "/ln/home/snarum/.jedit/settings-backup/activity.log~1~"
    1:40:49 PM [main] [notice] jEdit: jEdit version 5.0pre2
    1:40:49 PM [main] [message] jEdit: Settings directory is /ln/home/snarum/.jedit
    1:40:49 PM [main] [message] jEdit: jEdit home directory is /ln/home/snarum/bin/jEdit/5.0pre2
    1:40:49 PM [main] [debug] SplashScreen: init:145/1343ms
    1:40:49 PM [main] [debug] SplashScreen: init system properties:77/1420ms
    1:40:49 PM [main] [message] BeanShell: Beanshell Init
    1:40:49 PM [main] [debug] SplashScreen: init beanshell:104/1524ms
    1:40:49 PM [main] [debug] SplashScreen: loading site properties:8/1532ms
    1:40:49 PM [main] [debug] SplashScreen: loading user properties:9/1541ms
    1:40:49 PM [main] [debug] GUIUtilities: Icon theme set to: tango
    1:40:49 PM [main] [debug] GUIUtilities: Loading icon theme from: jeditresource:/org/gjt/sp/jedit/icons/themes/tango/
    1:40:49 PM [main] [debug] SplashScreen: init GUI:5/1546ms
    1:40:49 PM [main] [debug] EditServer: jEdit server started on port 45283
    1:40:49 PM [main] [debug] EditServer: Authorization key is 721489091
    1:40:49 PM [main] [debug] SplashScreen: init server:44/1590ms
    1:40:49 PM [main] [debug] jEdit: initPLAF non-edt old=javax.swing.plaf.metal.MetalLookAndFeel requested=javax.swing.plaf.metal.MetalLookAndFeel new=javax.swing.plaf.metal.MetalLookAndFeel
    1:40:49 PM [main] [debug] SplashScreen: init look and feel:13/1603ms
    1:40:49 PM [main] [debug] SplashScreen: init VFS Manager:6/1609ms
    1:40:49 PM [main] [debug] ActionSet: Loading actions from jar:file:/ln/home/snarum/bin/jEdit/5.0pre2/jedit.jar!/org/gjt/sp/jedit/actions.xml
    1:40:50 PM [main] [debug] DockableWindowManager: Loading dockables from jar:file:/ln/home/snarum/bin/jEdit/5.0pre2/jedit.jar!/org/gjt/sp/jedit/dockables.xml
    1:40:50 PM [main] [debug] SplashScreen: init resources:192/1801ms
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: SearchSettingsChanged[source=null]
    1:40:50 PM [main] [debug] SplashScreen: Migrate keymaps:61/1862ms
    1:40:50 PM [main] [notice] jEdit: Loading plugins from /ln/home/snarum/bin/jEdit/5.0pre2/jars
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=5.0,source=/ln/home/snarum/bin/jEdit/5.0pre2/jars/QuickNotepad.jar,class=QuickNotepadPlugin]
    1:40:50 PM [main] [notice] jEdit: Loading plugins from /ln/home/snarum/.jedit/jars
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.5,source=/ln/home/snarum/.jedit/jars/CommonControls.jar,class=CommonControlsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0.3,source=/ln/home/snarum/.jedit/jars/Optional.jar,class=optional.OptionalPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/kappalayout.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/trilead-ssh2-1.0.0-build214.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.2.3,source=/ln/home/snarum/.jedit/jars/BufferTabs.jar,class=buffertabs.BufferTabsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.1.2,source=/ln/home/snarum/.jedit/jars/CandyFolds.jar,class=candyfolds.CandyFoldsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.6,source=/ln/home/snarum/.jedit/jars/Code2HTML.jar,class=code2html.Code2HTMLPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/Completion.jar,class=completion.CompletionPlugin]
    1:40:50 PM [main] [debug] ActionSet: Loading actions from jar:file:/ln/home/snarum/bin/jEdit/5.0pre2/jedit.jar!/org/gjt/sp/jedit/browser.actions.xml
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.2,source=/ln/home/snarum/.jedit/jars/CtagsInterface.jar,class=ctagsinterface.main.CtagsInterfacePlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.5,source=/ln/home/snarum/.jedit/jars/CtagsSideKick.jar,class=ctags.sidekick.Plugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/DirtyGutter.jar,class=lcm.LCMPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.6.1,source=/ln/home/snarum/.jedit/jars/InfoViewer.jar,class=infoviewer.InfoViewerPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=3.2.4,source=/ln/home/snarum/.jedit/jars/JNAPlugin.jar,class=jnaplugin.JNAPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=3.3.0,source=/ln/home/snarum/.jedit/jars/JDiffPlugin.jar,class=jdiff.JDiffPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-highlighter-3.0.1.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-core-3.0.1.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-core-3.0.2.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-core-3.0.3.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.9,source=/ln/home/snarum/.jedit/jars/MarkerSets.jar,class=marker.MarkerSetsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/MyDoggyPlugin.jar,class=myDoggy.Plugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/TableLayout-20050920.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/mydoggy-api-1.5.0.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/mydoggy-plaf-1.5.0.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/mydoggy-res-1.5.0.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.4,source=/ln/home/snarum/.jedit/jars/Navigator.jar,class=ise.plugin.nav.NavigatorPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/antlr-runtime-3.4.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0,source=/ln/home/snarum/.jedit/jars/SuperAbbrevs.jar,class=SuperAbbrevsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/jna.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/sequence-library-1.0.1.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/sqljet-1.1.0.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-1.7.4.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0.2,source=/ln/home/snarum/.jedit/jars/WhiteSpace.jar,class=whitespace.WhiteSpacePlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0,source=/ln/home/snarum/.jedit/jars/EclipseIcons.jar,class=eclipseicons.EclipseIconsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-1.7.5.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-cli-1.7.4.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-cli-1.7.5.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-cli.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.3.0,source=/ln/home/snarum/.jedit/jars/Activator.jar,class=activator.ActivatorPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.7.5,source=/ln/home/snarum/.jedit/jars/SVNPlugin.jar,class=ise.plugin.svn.SVNPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/trilead.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/UpdaterPlugin.jar,class=updater.UpdaterPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.5,source=/ln/home/snarum/.jedit/jars/FastOpen.jar,class=com.patelsoft.fastopen.FastOpenPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=3.4.4,source=/ln/home/snarum/.jedit/jars/ProjectViewer.jar,class=projectviewer.ProjectPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.15,source=/ln/home/snarum/.jedit/jars/TextTools.jar,class=TextToolsPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.5,source=/ln/home/snarum/.jedit/jars/TaskList.jar,class=tasklist.TaskListPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.1,source=/ln/home/snarum/.jedit/jars/SynchroScroll.jar,class=synchroscroll.SynchroScrollPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-core.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-highlighter-3.0.2.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-highlighter-3.0.3.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-highlighter.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-memory-3.0.1.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-memory-3.0.2.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-memory-3.0.3.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/lucene-memory.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.9,source=/ln/home/snarum/.jedit/jars/LucenePlugin.jar,class=gatchan.jedit.lucene.LucenePlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.9.1,source=/ln/home/snarum/.jedit/jars/XercesPlugin.jar,class=xerces.XercesPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/resolver.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/xercesImpl.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=5.0,source=/ln/home/snarum/.jedit/jars/Console.jar,class=console.ConsolePlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.0,source=/ln/home/snarum/.jedit/jars/ErrorList.jar,class=errorlist.ErrorListPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.4,source=/ln/home/snarum/.jedit/jars/SideKick.jar,class=sidekick.SideKickPlugin]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/sequence-library-1.0.2.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/sqljet-1.1.4.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-1.7.5-v1.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/svnkit-cli-1.7.5-v1.jar]
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/ln/home/snarum/.jedit/jars/trilead-ssh2-1.0.0-build215.jar]
    1:40:50 PM [main] [debug] SplashScreen: init plugins:610/2472ms
    1:40:50 PM [main] [message] HistoryModel: Loading history
    1:40:50 PM [main] [debug] SplashScreen: init history model:23/2495ms
    1:40:50 PM [main] [message] BufferHistory: Loading /ln/home/snarum/.jedit/recent.xml
    1:40:50 PM [main] [debug] SplashScreen: init buffer history:14/2509ms
    1:40:50 PM [main] [message] KillRing: Loading /ln/home/snarum/.jedit/killring.xml
    1:40:50 PM [main] [debug] SplashScreen: init killring:13/2522ms
    1:40:50 PM [main] [debug] jEdit: initPLAF non-edt old=javax.swing.plaf.metal.MetalLookAndFeel requested=javax.swing.plaf.metal.MetalLookAndFeel new=javax.swing.plaf.metal.MetalLookAndFeel
    1:40:50 PM [main] [debug] jEdit: SOCKS proxy disabled
    1:40:50 PM [main] [debug] jEdit: HTTP proxy enabled: proxy.micron.com
    1:40:50 PM [main] [debug] jEdit: HTTP proxy user: snarum
    1:40:50 PM [AWT-EventQueue-0] [debug] EditBus: PropertiesChanged[source=null]
    1:40:50 PM [main] [debug] SplashScreen: init various properties:186/2708ms
    1:40:50 PM [main] [message] jEdit: Loading mode catalog file /ln/home/snarum/bin/jEdit/5.0pre2/modes/catalog
    1:40:51 PM [main] [message] jEdit: Loading mode catalog file /ln/home/snarum/.jedit/modes/catalog
    1:40:51 PM [main] [debug] SplashScreen: init modes:84/2792ms
    1:40:51 PM [main] [debug] PluginJAR: Activating optional.OptionalPlugin because of startup
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/Optional.jar
    1:40:51 PM [main] [debug] PluginJAR: Activating buffertabs.BufferTabsPlugin because of startup
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.0.3,source=/ln/home/snarum/.jedit/jars/Optional.jar,class=optional.OptionalPlugin]
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/BufferTabs.jar
    1:40:51 PM [main] [debug] PluginJAR: Activating candyfolds.CandyFoldsPlugin because of startup
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.2.3,source=/ln/home/snarum/.jedit/jars/BufferTabs.jar,class=buffertabs.BufferTabsPlugin]
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/CandyFolds.jar
    1:40:51 PM [main] [debug] PluginJAR: Activating code2html.Code2HTMLPlugin because of startup
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.1.2,source=/ln/home/snarum/.jedit/jars/CandyFolds.jar,class=candyfolds.CandyFoldsPlugin]
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/Code2HTML.jar
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.6,source=/ln/home/snarum/.jedit/jars/Code2HTML.jar,class=code2html.Code2HTMLPlugin]
    1:40:51 PM [main] [debug] PluginJAR: Activating ctagsinterface.main.CtagsInterfacePlugin because of startup
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/CtagsInterface.jar
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/lucene-core.jar
    1:40:51 PM [main] [message] TagIndex: Parsing query: doctype:origin AND type:Project
    1:40:51 PM [main] [message] TagIndex: Searching query '+doctype:origin +type:Project' started.
    1:40:51 PM [main] [message] TagIndex: Searching query: '+doctype:origin +type:Project' ended.
    1:40:51 PM [main] [message] TagIndex: Processing of 2 query results started.
    1:40:51 PM [main] [message] TagIndex: Processing query results ended.
    1:40:51 PM [main] [message] TagIndex: Closing searcher started.
    1:40:51 PM [main] [message] TagIndex: Closing searcher ended.
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/ProjectViewer.jar
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=3.4.4,source=/ln/home/snarum/.jedit/jars/ProjectViewer.jar,class=projectviewer.ProjectPlugin]
    1:40:51 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/CommonControls.jar
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.5,source=/ln/home/snarum/.jedit/jars/CommonControls.jar,class=CommonControlsPlugin]
    1:40:51 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.projectviewer.ProjectPlugin.menu,source=null]
    1:40:52 PM [main] [debug] PluginJAR: Activating lcm.LCMPlugin because of startup
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=2.2,source=/ln/home/snarum/.jedit/jars/CtagsInterface.jar,class=ctagsinterface.main.CtagsInterfacePlugin]
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/DirtyGutter.jar
    1:40:52 PM [main] [debug] PluginJAR: Activating infoviewer.InfoViewerPlugin because of startup
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/DirtyGutter.jar,class=lcm.LCMPlugin]
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/InfoViewer.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.6.1,source=/ln/home/snarum/.jedit/jars/InfoViewer.jar,class=infoviewer.InfoViewerPlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating marker.MarkerSetsPlugin because of startup
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/MarkerSets.jar
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/xercesImpl.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.9,source=/ln/home/snarum/.jedit/jars/MarkerSets.jar,class=marker.MarkerSetsPlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating ise.plugin.nav.NavigatorPlugin because of startup
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/Navigator.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=2.4,source=/ln/home/snarum/.jedit/jars/Navigator.jar,class=ise.plugin.nav.NavigatorPlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating whitespace.WhiteSpacePlugin because of startup
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/WhiteSpace.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.0.2,source=/ln/home/snarum/.jedit/jars/WhiteSpace.jar,class=whitespace.WhiteSpacePlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating updater.UpdaterPlugin because of startup
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/UpdaterPlugin.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/UpdaterPlugin.jar,class=updater.UpdaterPlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating gatchan.jedit.lucene.LucenePlugin because of startup
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/LucenePlugin.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=2.9,source=/ln/home/snarum/.jedit/jars/LucenePlugin.jar,class=gatchan.jedit.lucene.LucenePlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating console.ConsolePlugin because of startup
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/Console.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    1:40:52 PM [main] [debug] ConsolePlugin: Loaded 17 Actions
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/ErrorList.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=2.0,source=/ln/home/snarum/.jedit/jars/ErrorList.jar,class=errorlist.ErrorListPlugin]
    1:40:52 PM [main] [debug] PluginJAR: Activating sidekick.SideKickPlugin because of startup
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=5.0,source=/ln/home/snarum/.jedit/jars/Console.jar,class=console.ConsolePlugin]
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    1:40:52 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/SideKick.jar
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.4,source=/ln/home/snarum/.jedit/jars/SideKick.jar,class=sidekick.SideKickPlugin]
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    1:40:52 PM [main] [debug] SplashScreen: activate plugins:1798/4590ms
    1:40:52 PM [main] [debug] Macros: Registered beanshell macro handler
    1:40:52 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=macros,source=null]
    1:40:52 PM [main] [message] BeanShell: Running script /ln/home/snarum/bin/jEdit/5.0pre2/startup/startup.bsh
    1:40:52 PM [main] [notice] jEdit$3: Loading edit mode /ln/home/snarum/bin/jEdit/5.0pre2/modes/text.xml
    1:40:52 PM [main] [notice] jEdit$3: Loading edit mode /ln/home/snarum/bin/jEdit/5.0pre2/modes/java.xml
    1:40:53 PM [main] [notice] jEdit$3: Loading edit mode /ln/home/snarum/bin/jEdit/5.0pre2/modes/xml.xml
    1:40:53 PM [main] [notice] jEdit$3: Loading edit mode /ln/home/snarum/bin/jEdit/5.0pre2/modes/xml.xml
    1:40:53 PM [main] [debug] String: BeanShell interpreter version 2.0b4-jedit
    1:40:53 PM [main] [debug] SplashScreen: init macros:251/4841ms
    1:40:53 PM [main] [debug] SplashScreen: run startup scripts:12/4853ms
    1:40:53 PM [main] [debug] SplashScreen: run startup scripts:14/4855ms
    1:40:53 PM [main] [debug] PluginJAR: Opening /ln/home/snarum/.jedit/jars/MyDoggyPlugin.jar
    1:40:53 PM [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.3,source=/ln/home/snarum/.jedit/jars/MyDoggyPlugin.jar,class=myDoggy.Plugin]
    1:40:53 PM [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    1:40:53 PM [main] [debug] jEdit: main done:5302 ms
    1:40:53 PM [AWT-EventQueue-0] [message] PerspectiveManager: Loading /ln/home/snarum/.jedit/perspective.xml
    1:40:53 PM [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /ln/home/snarum/bin/jEdit/5.0pre2/modes/verilog.xml
    1:40:53 PM [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=mae_reg_test.svh (/proj/longspeak/snarum/trunk/mms/mae/tb/tests/)]
    1:40:53 PM [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=null,source=mae_reg_test.svh (/proj/longspeak/snarum/trunk/mms/mae/tb/tests/)]
    1:40:53 PM [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=null,source=mae_reg_test.svh (/proj/longspeak/snarum/trunk/mms/mae/tb/tests/)]
    1:40:53 PM [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=null,source=mae_reg_test.svh (/proj/longspeak/snarum/trunk/mms/mae/tb/tests/)]
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Parsing query: doctype:origin AND type:Directory
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Searching query '+doctype:origin +type:Directory' started.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Searching query: '+doctype:origin +type:Directory' ended.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Processing of 0 query results started.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Processing query results ended.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Closing searcher started.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Closing searcher ended.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Parsing query: _path:/proj/longspeak/snarum/trunk/mms/mae/tb/tests/mae_reg_test.svh
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Searching query '_path:/proj/longspeak/snarum/trunk/mms/mae/tb/tests/mae_reg_test.svh' started.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Searching query: '_path:/proj/longspeak/snarum/trunk/mms/mae/tb/tests/mae_reg_test.svh' ended.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Processing of 1 query results started.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Processing query results ended.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Closing searcher started.
    1:40:53 PM [AWT-EventQueue-0] [message] TagIndex: Closing searcher ended.
    1:40:53 PM [jEdit Worker #0] [message] TagIndex: Parsing query: doctype:tag AND _path:/proj/longspeak/snarum/trunk/mms/mae/tb/tests/mae_reg_test.svh
    1:40:53 PM [jEdit Worker #0] [message] TagIndex: Searching query '+doctype:tag +_path:/proj/longspeak/snarum/trunk/mms/mae/tb/tests/mae_reg_test.svh' started.
    1:40:53 PM [jEdit Worker #0] [message] TagIndex: Searching query: '+doctype:tag +_path:/proj/longspeak/snarum/trunk/mms/mae/tb/tests/mae_reg_test.svh' ended.

     
  • Alan Ezust

    Alan Ezust - 2013-02-07

    Can you reproduce this after updating to jEdit 5.0.0 and updating all your plugins?
    I think this might be a bug in Optional that was fixed in 1.0.4.

     
  • Alan Ezust

    Alan Ezust - 2013-02-07
    • status: open --> pending
     
  • Steve

    Steve - 2013-02-07

    Honestly, I don't remember seeing this one recently. I haven't paid much attention. However, I never could reproduce it reliably. It just happened from time to time. I'm on 5.1pre1 dailies now.

     
  • Steve

    Steve - 2013-02-07
    • status: pending --> open
     
  • Alan Ezust

    Alan Ezust - 2013-02-08
    • summary: Console: IllegalStateException --> Optional: IllegalStateException
    • status: open --> closed-fixed
     
  • Alan Ezust

    Alan Ezust - 2013-02-08

    Ok, I will mark as closed, fixed in Optional 1.0.4.

     

Log in to post a comment.